Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047172
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-06-17 10:502021-07-09 11:50
ReporterjmelinView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047172: JIRA 2092 - Cashup / Safebox - Disable / Hide & make automate the count at till closing

DescriptionIt is necessary to be able to deactivate, hide and automate the counting at the closing of the till / drawer. This need comes from franchised restaurants but also from Take Away where we will disable this feature.

One of the proposed solutions is to disable open counting all payment modes.

It is important not to display the screens and to automate the closing/counting close process.
Steps To Reproduce1. Connect to POS
2. Select a safebox
3. Create orders
4. Close the till

=> if no payment configured to be counted then the safebox is automatically set as counted
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047207TAP closedAugustoMauch JIRA 2092 - Cashup / Safebox - Disable / Hide & make automate the count at till closing 

-  Notes
(0130332)
hgbot (developer)
2021-07-08 19:13

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/514 [^]
(0130352)
hgbot (developer)
2021-07-09 11:50

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 474ae0faa9969250560c5e93ea27b68eadda86bd
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 2021-07-09T11:49:43+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/474ae0faa9969250560c5e93ea27b68eadda86bd [^]

Fixes ISSUE-47172: automate the safebox count at till closing

If the configuration of a terminal type determines that none of the payment methods of a safebox are counted on cashup,
automatically flag the entry in obpos_safebox_touchpoint with iscounted=true.

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
---
(0130353)
hgbot (developer)
2021-07-09 11:50

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/514 [^]

- Issue History
Date Modified Username Field Change
2021-06-17 10:50 jmelin New Issue
2021-06-17 10:50 jmelin Assigned To => Retail
2021-06-17 10:50 jmelin Triggers an Emergency Pack => No
2021-06-18 18:28 dmiguelez Status new => acknowledged
2021-06-22 19:35 guilleaer Type feature request => defect
2021-06-22 19:35 guilleaer Status acknowledged => scheduled
2021-06-22 19:36 guilleaer Status scheduled => acknowledged
2021-06-24 13:08 dmiguelez Status acknowledged => scheduled
2021-06-24 13:08 dmiguelez Assigned To Retail => marvintm
2021-06-24 17:48 dmiguelez Assigned To marvintm => AugustoMauch
2021-07-08 19:13 hgbot Note Added: 0130332
2021-07-09 11:50 hgbot Resolution open => fixed
2021-07-09 11:50 hgbot Status scheduled => closed
2021-07-09 11:50 hgbot Fixed in Version => RR21Q4
2021-07-09 11:50 hgbot Note Added: 0130352
2021-07-09 11:50 hgbot Note Added: 0130353


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker